Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.o
Class OAssign.Copy

    java.lang.Object
      org.apache.ode.bpel.o.OBase
          org.apache.ode.bpel.o.OAssign.Copy

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  OAssign

    public static class OAssign.Copy

extends OBase

Assignmenet copy entry, i.e. what the assignment consits of.

See Also:
  Serialized Form

Field Summary
`OAssign.RValue` | `from`
`boolean` | `ignoreMissingFromData`
`boolean` | `ignoreUninitializedFromVariable`
`boolean` | `insertMissingToData`
`boolean` | `keepSrcElementName`
`OAssign.LValue` | `to`

Fields inherited from class org.apache.ode.bpel.o.OBase
`debugInfo`

Constructor Summary
`OAssign.Copy(OProcess owner)`

Method Summary
`void` | `dehydrate()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ode.bpel.o.OBase
`equals, getId, getOwner, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### to

    public OAssign.LValue to

### from

    public OAssign.RValue from

### keepSrcElementName

    public boolean keepSrcElementName

### ignoreMissingFromData

    public boolean ignoreMissingFromData

### ignoreUninitializedFromVariable

    public boolean ignoreUninitializedFromVariable

### insertMissingToData

    public boolean insertMissingToData

Constructor Detail

### OAssign.Copy

    public OAssign.Copy(OProcess owner)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `OBase`

### dehydrate

    public void dehydrate()

  Overrides:
    `dehydrate` in class `OBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD